<?php
/*
 Plugin Name: SmartClickConnect
 Description: Contains the script include for SmartClickConnect on articles.
 Version:     1.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


class SmartClickConnect {

	public function __construct()
	{
		add_action('wp_enqueue_scripts', array($this, 'SmartClickConnect_js'));
		
	}
	
	public function SmartClickConnect_js(){
		if( is_single() && get_post_type()=='post' ){
			wp_enqueue_script('SmartClickConnect', plugins_url('js/SmartClickConnect.js',  __FILE__));
		}
	}
};

$SmartClickConnect = new SmartClickConnect();